> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Configuration



## OpenAPI

````yaml POST /v1/sanctions-peps-watchlists-checks/configuration/create-configuration
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/sanctions-peps-watchlists-checks/configuration/create-configuration:
    post:
      tags:
        - Sanctions PEPs Watchlists
      summary: Create Sanctions, PEPs, and Watchlists Configuration
      parameters:
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/main.createSanctionsPepsWatchlistsConfigurationRequest
        description: request body
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateSanctionsPepsWatchlistsConfigurationResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.createSanctionsPepsWatchlistsConfigurationRequest:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/CreateSanctionsPepsWatchlistsConfigurationRequestItem
    CreateSanctionsPepsWatchlistsConfigurationResponse:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/CreateSanctionsPepsWatchlistsConfigurationResponseItem
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    CreateSanctionsPepsWatchlistsConfigurationRequestItem:
      type: object
      properties:
        monitoring:
          $ref: '#/components/schemas/main.monitoringInput'
    CreateSanctionsPepsWatchlistsConfigurationResponseItem:
      type: object
      properties:
        sanction_pep_watchlist_configuration_id:
          type: string
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string
    main.monitoringInput:
      type: object
      properties:
        interval:
          description: >-
            `interval` specifies the frequency of monitoring, represented as a
            string.
          type: string
          example: WEEKLY
        is_active:
          description: >-
            `is_active` indicates whether monitoring is enabled for the given
            configuration.
          type: boolean
          example: true

````